<template>
  <div class="mimipage">
    <el-tabs v-model="activeName" @tab-click="handleClick">
      <el-tab-pane v-for="(item,index) in dataList" :label="item.PageTypeName" :name="item.PageTypeId+''" :key="index">
        <template v-for="(subItem,subIndex) in item.SubMenuList">
          <div :key="subIndex">
            <span v-if="subItem.SelePageName&&subitem.SelePageName!=''">{{subItem.SelePageName}}</span>
            <span v-else>{{subItem.PageName}} </span>
            {{subItem.PageUrl}} <br />
            <span v-if="subItem.IsParameter==1">
              <el-input v-model="subItem.ParameterValue"></el-input>
            </span>
          </div>
        </template>
      </el-tab-pane>
    </el-tabs>
  </div>
</template>
<script>
  export default {
    data() {
      return {
        loading: false,
        dataList: [],
        activeName: "1"
      };
    },
    created() {

    },
    methods: {
      handleClick(tab, event) {
        //console.log(tab, event);
      },
      getList() {
        this.apipost("/api/Tenant/MiniprogramPageListExt", {}, res => {
          if (res.data.resultCode == 1) {
            this.dataList = res.data.data;
          } else {
            this.Info(res.data.message);
          }
        })
      },
    },
    mounted() {
      this.getList();
      console.log("1234123213")
    }
  };

</script>
<style>
  .navNavIconImg {
    width: 80px;
    height: 80px;
  }

  .navNavIconImg NavIconImg {
    width: 100%;
    height: 100%;
  }

  .mimipage .blue {
    color: #409EFF;

  }

  .mimipage .content .searchInput {
    border: 1px solid #DCDFE6;
    border-radius: 4px;
  }

  .mimipage .content .searchInput .el-input__inner {
    border: none;
    outline: none;
    height: 30px;
    line-height: 30px;
  }

  .mimipage .content .searchInput {
    line-height: normal;
    display: inline-table;
    width: 100%;
    border-collapse: separate;
    border-spacing: 0;
    width: 250px;
    margin-right: 20px;
  }

  .mimipage .content {
    background: #fff;
    margin-top: 10px;
    padding: 20px;
    box-sizing: border-box;
  }

</style>
